package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolLinkageMessage;

import java.util.List;

public interface IPatrolLinkageMessageService {
    PatrolLinkageMessage selectPatrolLinkageMessageByLinkageMessageId(Long messageId);

    List<PatrolLinkageMessage> selectPatrolLinkageMessageList(PatrolLinkageMessage message);

    int insertPatrolLinkageMessage(String param, String param2);

    int updatePatrolLinkageMessage(PatrolLinkageMessage message);

    int deletePatrolLinkageMessageByLinkageMessageIds(Long[] messageIds);

    int deletePatrolLinkageMessageByLinkageMessageId(Long messageId);
}
